Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122225 - Review Request: nodejs-http-proxy-agent - An HTTP(s) proxy http.Agent implementation for HTTP
Summary: Review Request: nodejs-http-proxy-agent - An HTTP(s) proxy http.Agent impleme...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122208 1122221
Blocks: nodejs-reviews 1122231
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2014-08-15 02:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 20:06:54 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:55 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-http-proxy-agent.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-http-proxy-agent-0.2.6-1.fc20.src.rpm

Description:
This module provides an `http.Agent` implementation that connects to a
specified HTTP or HTTPS proxy server, and can be used with the built-in
`http` module.

Comment 1 Parag AN(पराग) 2014-07-23 09:47:18 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-http-proxy-agent.noarch: W: only-non-binary-in-usr-lib
nodejs-http-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/http-proxy-agent/node_modules/debug /usr/lib/node_modules/debug
nodejs-http-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/http-proxy-agent/node_modules/agent-base /usr/lib/node_modules/agent-base
nodejs-http-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/http-proxy-agent/node_modules/extend /usr/lib/node_modules/extend
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :40128fffd7f037a9709ddb94fdc1350e0a50e145e1fadad23c9ebc7fdb3c344c
upstream tarball :40128fffd7f037a9709ddb94fdc1350e0a50e145e1fadad23c9ebc7fdb3c344c

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 13:51:17 UTC
New Package SCM Request
=======================
Package Name: nodejs-http-proxy-agent
Short Description: An HTTP(s) proxy http.Agent implementation for HTTP
Upstream URL: https://npmjs.org/package/http-proxy-agent
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:40:39 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 20:06:08 UTC
nodejs-http-proxy-agent-0.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-http-proxy-agent-0.2.6-1.fc20

Comment 5 Fedora Update System 2014-07-23 20:06:17 UTC
nodejs-http-proxy-agent-0.2.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-http-proxy-agent-0.2.6-1.fc19

Comment 6 Ralph Bean 2014-07-23 20:06:54 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:53:25 UTC
nodejs-http-proxy-agent-0.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:55:08 UTC
nodejs-http-proxy-agent-0.2.6-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.